com.pixelmed.apps

## Class KeepOnlyImagePixelModule

- java.lang.Object
- - com.pixelmed.apps.KeepOnlyImagePixelModule

    public class KeepOnlyImagePixelModule
    extends java.lang.Object

A class of static methods to copy a DICOM image and retain only enough to describe pixels.

Retains the Pixel Data Module and whatever else is barely enough to describe the image (Number of Frames, SOP Class and Instance UIDs).

### Field Summary

Fields
`protected static AttributeTag[]` `relevantGeneralSeriesModuleAttributeTags`
`protected static AttributeTag[]` `relevantImagePixelModuleAttributeTags`
`protected static AttributeTag[][]` `relevantModules`
`protected static AttributeTag[]` `relevantMultiFrameModuleAttributeTags`
`protected static AttributeTag[]` `relevantSOPCommonModuleAttributeTags`

### Constructor Summary

Constructors
Constructor and Description
`KeepOnlyImagePixelModule(java.lang.String inputFileName, java.lang.String outputFileName)` Read a DICOM image input file and discard everything except what is required to describe the pixels

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Read a DICOM image input file and discard everything except what is required to describe the pixels.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### relevantImagePixelModuleAttributeTags

    protected static AttributeTag[] relevantImagePixelModuleAttributeTags

#### relevantMultiFrameModuleAttributeTags

    protected static AttributeTag[] relevantMultiFrameModuleAttributeTags

#### relevantGeneralSeriesModuleAttributeTags

    protected static AttributeTag[] relevantGeneralSeriesModuleAttributeTags

#### relevantSOPCommonModuleAttributeTags

    protected static AttributeTag[] relevantSOPCommonModuleAttributeTags

#### relevantModules

    protected static AttributeTag[][] relevantModules

### Constructor Detail

#### KeepOnlyImagePixelModule

    public KeepOnlyImagePixelModule(java.lang.String inputFileName,
                            java.lang.String outputFileName)
                             throws DicomException,
                                    java.io.FileNotFoundException,
                                    java.io.IOException

Read a DICOM image input file and discard everything except what is required to describe the pixels

Parameters:
  `inputFileName` - the input file name
  `outputFileName` - the output file name
Throws:
  `DicomException`
  `java.io.FileNotFoundException`
  `java.io.IOException`

### Method Detail

#### main

    public static void main(java.lang.String[] arg)

Read a DICOM image input file and discard everything except what is required to describe the pixels.

Parameters:
  `arg` - two parameters, the inputFile, outputFile